Package org.eclipse.draw2d

# Interface MouseListener

All Known Implementing Classes:
  `MouseListener.Stub`, `ScrollBar.ThumbDragger`

public interface MouseListener
A listener interface for receiving mouse button events.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`MouseListener.Stub`
An empty implementation of MouseListener for convenience.

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseDoubleClicked(MouseEvent me)`
Called when a mouse button has been double clicked over the listened to object.
`void`
`mousePressed(MouseEvent me)`
Called when a mouse button has been pressed while over the listened to object.
`void`
`mouseReleased(MouseEvent me)`
Called when a pressed mouse button has been released.

## Method Details

### mousePressed

void mousePressed(MouseEvent me)
Called when a mouse button has been pressed while over the listened to object.

Parameters:
  `me` - The MouseEvent object

### mouseReleased

void mouseReleased(MouseEvent me)
Called when a pressed mouse button has been released.

Parameters:
  `me` - The MouseEvent object

### mouseDoubleClicked

void mouseDoubleClicked(MouseEvent me)
Called when a mouse button has been double clicked over the listened to object.

Parameters:
  `me` - The MouseEvent object